petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscCommGetNewTag

Gets a unique new tag from a PETSc communicator. All processors that share the communicator MUST call this routine EXACTLY the same number of times. This tag should only be used with the current objects communicator; do NOT use it with any other MPI communicator.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscCommGetNewTag(MPI_Comm comm,PetscMPIInt *tag)

Collective on comm Many br

### Input Parameter

comm -the MPI communicator Many br

### Output Parameter

tag -the new tag Many br

Many br

### See Also

PetscObjectGetNewTag(), PetscCommDuplicate()

Level:developer
Location:src/sys/objects/tagm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages